License Agreement
THIS SOFTWARE IS LICENSED, NOT SOLD. YOU MAY USE THIS SOFTWARE ONLY AS DESCRIBED IN THIS AGREEMENT.

IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL THE SOFTWARE OR USE ANY REGISTRATION NUMBER THAT WAS PROVIDED WITH THE SOFTWARE. YOU MAY CONTACT THE WEBSITE OR STORE WHERE YOU PURCHASED THE LICENSE FOR A REFUND IF YOU HAVE NOT USED THE REGISTRATION NUMBER. NO REFUNDS ARE PROVIDED IF THE REGISTRATION NUMBER HAS BEEN USED.

1. SOFTWARE. The capitalized term "Software" refers to the object code for the computer program known as RamSmash, any updates, supplemental code or programs provided to you by SWIFTDOG with or in connection with RamSmash, the user's manual and Help file, any components, any related media and printed materials, and any related "online" or electronic documentation.

2. GRANT OF LICENSE.
Evaluation License. If you have acquired the license for the Software on an evaluation or trial basis, you may use the Software without charge for the evaluation period of 28 days. Your evaluation period begins on the day you install the Software. You must pay the license fee and register your copy to continue to use the Software after the evaluation period. Otherwise you must immediately cease using the Software and delete all installed copies of the Software that you have made. To pay the license fee and register your copy, you should visit www.swiftdog.com. For so long as the Software is the most current version of RamSmash distributed by SWIFTDOG, you may give exact copies of the evaluation Software to anyone. You may not charge any fee for the copy or use of the evaluation Software itself, but you may charge a distribution fee that is reasonably related to any cost you incur distributing the evaluation Software (e.g. packaging). You must not represent in any way that you are selling the Software itself. Your distribution of the evaluation Software will not entitle you to any compensation from SWIFTDOG. You must distribute a copy of this license with any copy of the Software and anyone to whom you distribute the Software is subject to this license. You may not remove any copyright, trademark or reservation of rights language displayed on, in or with the Software. You may also not include any registration number, serials or methods to circumvent the Software protection mechanism.

Registered License. When you purchase a license, you will be provided with a registration number. You must enable the registered license for the Software by entering the registration number as prompted by the Software. The term of the license is perpetual. You may use the registered Software on that number of computers for which you have purchased a separate license as indicated on the invoice or sales receipt. You may also make one copy of the Software for back-up or archival purposes. Otherwise, you may not copy the Software in whole or in part. You may not transfer any of your rights under this license or may not transfer the registration number to another individual or party.

3. RESTRICTIONS. You may not reduce the Software to human readable form, reverse engineer, de-compile, disassemble, merge, adapt, or modify the Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. You may not rent, lease, or lend the Software. You agree not to enter any serial or registration number into the Software for which you have not purchased or use any means to circumvent the Software protection mechanism; in that event the license to use the Software will be in violation of this agreement.

4. SUPPORT SERVICES. SWIFTDOG may provide you with support services related to the Software. Use of support services is governed by the user's manual, online documentation, and other SWIFTDOG materials, as they may be modified from time to time. SWIFTDOG may use any information you provide as part of obtaining support services for its business purposes, including product support and development.

5. INFORMATION COLLECTION. The Software includes a feature that assigns a unique order number to RamSmash based on purchase information. The Software reports this number to us via the internet either when you run the Software or enter the registration number, or both. The Software may also identify and report to us your IP address, date and time of installation, registration and/or use. We use this information strictly to count the number of installations, detect unauthorized access or piracy of the Software, and develop rough statistical data regarding the geographic location of our users.

6. TERMINATION. This license terminates if you fail to comply with its terms and conditions. If your license terminates, you must destroy all copies of the Software. The termination of this license does not limit SWIFTDOG's other rights it may have by law.

7. SOFTWARE PIRACY. In the event the license to use the Software has been violated due to piracy restrictions set forth in this license, you hereby grant us the permission to the following actions: You agree we are authorized to restart your computer to remove any illegally entered serials, registry entries or modifications to the Software. You also agree we are authorized to install files to display a piracy notice at the start of the computer indefinitely to notify the owner of the computer of infringing material; whereupon the piracy notice will automatically remove itself from the computer. To remove the piracy notice manually, simply restart the computer up to twelve times without entering subsequent illegal serial codes into the software; and/or manually delete the file (typically located) at: 'c:\windows\sysutil.exe'. You also agree we are authorized to disable access to the Software and report any Software piracy (including information collected) to your Internet Service Provider and any law enforcement agencies to pursue potential copyright infringement.

8. INTELLECTUAL PROPERTY. You acknowledge that you have only the limited, non-exclusive right to use and copy the Software as expressly stated in this license and that SWIFTDOG retains title to the Software and all other rights not expressly granted. You agree not to remove or modify any copyright, trademark, patent or other proprietary notices that appear, on, in or with the Software. The Software is protected by United States copyright, patent and trademark laws and international treaty provision.

9. EXPORT RESTRICTIONS. You may not export or re-export the Software in violation of the export laws of the United States, or the applicable laws of any other jurisdiction. Among other things, U.S. laws provide that the Software may not be exported or re-exported to certain countries that are embargoed or restricted or to certain restricted persons. Embargoed and restricted countries currently include Cuba, Iran, Iraq, Libya and Sudan.

10. NO WARRANTIES AND RELEASE. TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE SOFTWARE AND ANY SUPPORT SERVICES ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. IF APPLICABLE LAW REQUIRES A WARRANTY, THE REQUIRED WARRANTY IS LIMITED TO THIRTY (30) DAYS FROM YOUR RECEIPT OF A COPY OF THE SOFTWARE. COMPUTER PROGRAMS ARE INHERENTLY COMPLEX, AND THE SOFTWARE MAY NOT BE FREE OF ERRORS. THE SOFTWARE IS PROVIDED WITH ALL FAULTS AND THE ENTIRE RISK AS TO SATISFACTORY QUALITY, PERFORMANCE, ACCURACY AND EFFORT IS WITH YOU.

11. LIMITATION OF LIABILITY. SWIFTDOG IS NOT LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF SWIFTDOG HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. UNLESS APPLICABLE LAW PROVIDES OTHERWISE, SWIFTDOG'S LIABILITY FOR ANY CLAIM RELATED TO YOUR PURCHASE OF A LICENSE FOR OR USE OF THE SOFTWARE, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY WILL NOT EXCEED THE GREATER OF U.S. $5.00 OR THE LICENSE FEE PAID BY YOU.

12. U.S. GOVERNMENT. The Software is commercial computer Software developed solely at private expense. The rights of civilian and non-civilian agencies of the U.S. Government to use, disclose and reproduce the Software are governed by the terms of this License. Publisher is SWIFTDOG USA.

13. AUDIT. You agree that on SWIFTDOG's request you will certify in writing your compliance with the terms of this license, including your use of the Software only on the number of computers licensed. You also agree that we may perform an audit which may include examination of your physical premises with prior written notice, and that any audit conducted will be paid for at your expense including an initial U.S $500 investigation fee. Provided that an audit determines all computer licenses have been legally obtained you will be refunded any audit expenses incurred.

14. MISCELLANEOUS. This license is governed by the laws of the State of Colorado, U.S.A. This license is not governed by the United Nations Convention of Contracts for the International Sale of Goods. You agree to submit to the jurisdiction of courts sitting in the State of Colorado, U.S.A. for all purposes. Sole and exclusive venue for any dispute arising under or relating to this agreement shall be in a court sitting in Colorado, U.S.A. This license constitutes the complete and exclusive agreement between us, notwithstanding any provision in any purchase order or other written document, except for our statement of the number of separate license fees for which you have paid as described in Section 2, above. This license may only be modified by a written document signed by SWIFTDOG. No SWIFTDOG dealer or distributor is authorized to change the terms of this license. If any provision of this license is held to be unenforceable, the remainder of the license shall not be affected, and the unenforceable provision shall be reformed to the extent necessary to make the provision enforceable. If you are located outside the United States, then the following provision applies: The parties confirm that this Agreement and all related documentation is and will be in the English language.

Should you have any questions concerning this license, or if you desire to contact SWIFTDOG for any reason, please contact SWIFTDOG by electronic mail from: http://www.swiftdog.com.


Registering the Software
RamSmash is not free software. You are required to pay a registration fee and register the software if you wish to continue using it after an evaluation period of not exceeding 28 days.

The software itself is not time limited in days. However the software is disabled in the shareware package.

When you register the software you will receive a serial number which you must enter in the program's registration screen. After this serial number is entered you will no longer have to restart the program every 60 minutes.


How To Register
One full license must be purchased for each non-networked system on which the software is installed and used. In the case of systems in which the program is simultaneously accessible to more than one user at a time, such as a network server, one full license must be purchased for each user who is capable of accessing the software. Distributing the serial number or using it on more then one machine will without prior notice lead to it being banned in future versions of the software.

This program can be registered through our agents setSystems. setSystems can be located on the World Wide Web at the following URL:

http://www.setsystems.com/

Registration costs $12.99 US dollars.

Online Purchase
You can register online using your credit card. setSystems offers secure transactions for users of Netscape or Microsoft Internet Explorer. To go to the registration page for RamSmash go to:

> Click Here To Purchase Online

* Visa, MasterCard, American Express and Discover/Novus accepted.

PayPal Purchase
You can also register online using your credit card, and checks at PayPal. To go to the registration page for RamSmash go to:

> Click Here To Purchase With PayPal

* Visa, MasterCard, American Express, Discover/Novus, Electronic Checks, Switch, Solo, Delta, Visa Electron and EuroCard accepted.

Mail Order Purchase
You can also register by mail with a check or money order. To go to the registration page for RamSmash go to:

> Click Here To Purchase With Check/Money Order

Bank/Wire Purchase
You can also register with your bank account by wire transfer. To go to the registration page for RamSmash go to:

> Click Here To Purchase By Wire Transfer

Phone/Fax Purchase
Also you can call the toll-free number 1-888-2017131 to purchase. Callers from outside the US should call 1-719-5760115.

Finally you can fax in the order. Include your full name, address, phone number, credit card details and your email address. Make sure to reference Product - RAMSMASH. Faxes should be sent to: 1-719-6230399.

Order Fulfillment
Upon registration (allow up to 1 working day for your registration to be processed) you will receive your serial number. This will be sent by e-mail if an e-mail address was specified when registering. When you receive your serial number, enter the Name/Serial in the program's registration screen and hit OK. The software will then behave as a fully licensed version.


Contributions

Software Contributions
Several companies and/or individuals have helped either directly or indirectly with the development of this software. We would like to thank each of them for their hardwork and generous contributions to the development community. The entities listed below have no direct affiliation or association with our products and/or company.

Stylized Menu Control

Portions of this software contain a component developed and distributed by Khaled Shagrouni. All ownership and copyright of the original component remains the property of Khaled Shagrouni, as such a license has been granted to use this component within this specific product.

Animated Scope Control
Portions of this software contain a component developed and distributed by T Skovmand Eriksen. All ownership and copyright of the original component remains the property of T Skovmand Eriksen, as such a license has been granted to use this component within this specific product.

Animated TrayIcon Control

Portions of this software contain a component developed and distributed by Troels Jakobsen. All ownership and copyright of the original component remains the property of Troels Jakobsen, as such a license has been granted to use this component within this specific product.

Memory Access Controlk
Portions of this software contain a component developed and distributed by Jazarsoft. All ownership and copyright of the original component remains the property of Jazarsoft, as such a license has been granted to use this component within this specific product.

Digital Artwork
Portions of this software contain artwork which are distributed and used under a license agreement with INCORS Gmbh ("INCORS"). All ownership and copyright of the original artwork remains the property of INCORS, as such a license has been granted to use this artwork within this specific product and any related materials.

Internet Verification
Portions of this software are Copyright (c) 1993 - 2001, Chad Z. Hower (Kudzu) and the Indy Pit Crew - http://www.nevrona.com/Indy/
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation, about box and/or other materials provided with the distribution.
No personal names or organizations names associated with the Indy project may be used to endorse or promote products derived from this software without specific prior written permission of the specific individual or organization.
THIS SOFTWARE IS PROVIDED BY Chad Z. Hower (Kudzu) and the Indy Pit Crew "AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License Agreement


Overview
RamSmash is a program which returns control of memory managment back to the user. Windows® oftenly uses up all memory available and leaves the users computer at a slow pace. Also numerous applications that are improperly created also use up vast quantites of RAM/Memory and never reallocate this memory back to the computer. With RamSmash you can at any time reallocate memory back to your computer and gain more computer power in the process.

While RAM/Memory is very inexpensive now to purchase it still is difficult for the average person to try to install and improper installation can cause major damage to a computer. Typically the average computer user has a service technician install the RAM/Memory modules which adds significant cost to the hardware upgrade. RamSmash on the other hand is cheap and affordable and can in no way harm or destroy a computer, while providing equivalent power that RAM/Memory modules would.

RamSmash is quite easy to use and understand. With a few button pushes and setting changes the application is ready to work. RamSmash starts up automatically when Windows® does and manages memory according to the user's specifications. Try RamSmash for 28 days and if you find it useful please do register.

System Requirements
  • Microsoft Windows 2000, 2003, 95, 98, Me, NT 4, Vista, XP
  • Microsoft Internet Explorer 4 or higher
  • Intel Pentium 90 MHz or higher (P 166 MHz recommended)
  • 8 Mb RAM (32 Mb recommended)
  • 5 Mb hard disk space
  • VGA or higher resolution monitor
  • Mouse or other pointing device

    • Note Internet Explorer is not required to be the default browser.

    Registering the Software


Main Window

Percentage of Memory Available
This is a graphical representation in percentage of the current amount of RAM/Memory available to the computer system. The thin RED line — represents the baseline/trigger level of RAM/Memory in percentage that RamSmash will maintain before automatic memory management occurs. The thin GREEN line — represents the amount of RAM/Memory currently available in percentage to the computer system. Clicking with your mouse on this Scope control will allow you to customize it's apperance and behavior.

Current Memory Data
This data chart displays the amount of RAM/Memory used and free in megabytes. This data is constantly analyzed and reviewed for statistical information. Also shown is the total amount of megabytes recovered using RamSmash during this session.


Settings Window

Memory Management
The control [image] determines if RamSmash will automatically reallocate memory or not. If this checkbox [image] is unchecked then RamSmash will not reallocate memory automatically, if the checkbox [image] is checked then RamSmash will reallocate memory automatically. By default this option is Checked.

The control [image] determines the trigger level which is the minimum level of RAM/Memory in megabytes to maintain before memory management occurs. In most cases you should not set this control to a large amount of memory to maintain as this will cause RamSmash to go into an infinite loop freeing memory.

The control [image] determines the amount of RAM/Memory in megabytes to free when the trigger level of Ram has been reached, or when a manual reallocation of memory is executed. In most cases you should not free large amounts of memory as this can crash your computer.

Other Options
The control [image] determines if RamSmash will automatically launch at Windows® startup. If this checkbox [image] is unchecked then RamSmash will not launch at Windows® startup, if the checkbox [image] is checked then RamSmash will launch automatically at Windows® startup. By default this option is Checked.

The control [image] determines if RamSmash will display the animated tray icon always or not. If this checkbox [image] is unchecked then RamSmash will only animate the system-tray icon when freeing memory, if the checkbox [image] is checked then RamSmash will show the animated system-tray icon always. This has no effect on the program other then it's visual appearance. By default this option is Checked.

Restore Defaults
The control [image] will restore all default options/settings to original factory settings. This is useful incase you have modified the RamSmash settings and problems arise.


Scope Settings Window

Scope Settings
The control [image] allows you to change the background color of the Scope control. This will also change the background color of the taskicon. Please note that choosing a Custom ... color may not show the taskicon correctly on versions of Windows prior to Windows XP.

The control [image] allows you to change the gridline color of the Scope control. This will also change the gridline color of the taskicon. Please note that choosing a Custom ... color may not show the taskicon correctly on versions of Windows prior to Windows XP.

The control [image] allows you to change the line color of the Scope control. This will also change the line color of the taskicon. Please note that choosing a Custom ... color may not show the taskicon correctly on versions of Windows prior to Windows XP.

The control [image] allows you to change the baseline color of the Scope control. This will also change the baseline color of the taskicon. Please note that choosing a Custom ... color may not show the taskicon correctly on versions of Windows prior to Windows XP.

The control [image] allows you to change the update interval of the Scope control. This value is a percentage of 1 second. For example, choosing 50 will give you 50% of 1 second which is 500 ms or a half second update interval. This will also change the update interval of the taskicon.

The control [image] allows you to change the grid size of the Scope control. This value is the width and height in pixels that a grid cell should be. For exampke, choosing 25 will give you grid cells spaced at 25x25 pixels apart.

Preview
This small Scope representation will allow you to preview what the actual Scope control will look like while you are making changes to it. This will give you a true What You See Is What You Get representation.

Restore Defaults
The control [image] will restore all default settings to original factory settings. This is useful incase you have modified the RamSmash Scope settings and problems arise.


Registration Window

Enter Name/Serial
This window allows you to enter the serial number which was e-mailed to you after purchasing the software. Please make sure to enter the Name/Serial EXACTLY as printed in the e-mail.

Please click the link Click to order RamSmash - $12.99 (USD) to purchase the software and receive your serial number. Before deciding to purchase, review the RamSmash License Agreement.


Frequently Asked Questions
  • Why does RamSmash close every 60 minutes?

      • RamSmash closes every 60 minutes to remind you to register the software. Due to how the software works we put this time restriction in to distinguish the demo version from the full version. When you register RamSmash there will be no 60 minute time restrictions.

  • RamSmash keeps allocating memory and never stops. Why does this happen?

      • If you have set the amount of memory to maintain at a very high value then RamSmash will repeatly continue to try to free memory. You should try setting the amount of memory to maintain at a reasonable level, also trying to increase the amount of memory to free may also be helpful. These settings can be changed in the Settings Window.

  • I have noticed that when I start RamSmash it attempts to access my internet connection, why is this?

      • Unfortunately there are many users of our software previously which have chosen to pirate our software rather then pay the very small license fee. For this reason RamSmash will attempt to verify the Name/Serial each time the software is started. No other personal information other then the Name/Serial, and computer IP Address is transmitted over the internet.

  • I want to purchase RamSmash but I do not feel comfortable buying online, is there any other option?

      • Yes, you can also purchase the software by PHONE, FAX or MAIL if you do not feel comfortable purchasing ONLINE. Please note however that we will only send you the serial number after we receive payment. Typically customers who purchase by ONLINE or PHONE or FAX will receive their serial number within 48 hours, purchases by MAIL can take up to 2 weeks. For more information please read over the How to Register topic.

    Technical Support


Technical Support
To obtain support for RamSmash please contact us with the problems you are having and/or bugs you have found. You are encouraged to e-mail us with enhancments you would like to see in RamSmash however we probably will not be able to reply to everyone with a definitive answer. Registered customers have priority over non-registered customers in all cases. Most support questions will be handled within 24-48 hours. If you would like to inquire about site licensing or large license purchases please contact us.

To Obtain Support Use The Following Methods
http://www.swiftdog.com/support/
support@swiftdog.com

To Report Software Piracy:
http://www.bsa.org/usa/report/
piracy@swiftdog.com

Questions, comments and technical support are provided between Mondays - Friday from 8 am - 5 pm. Please note however we are closed on major holidays so replies to your requests may be significantly delayed.

Frequently Asked Questions